#standard equipment type config file
#
#     Inverter Group
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: General Sampler
#               Relevant Equipment List: Power System,
#
#

#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID	Group Type Flag		Type Name		Type Name Resource ID
3500		1			Inverter Group		1

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
13

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Number of Inverters			9				NA		1				1			U			NA			NA			NA				0/36				W				NA			1			NA			NA
2		Total current				2				A		1				2			F			1			5			NA				0.0/20000.0			W				NA			5			.1			NA
3		Used capacity				4				%		-1				-3			F			NA			NA			NA				0/300				W				NA			6			.1			NA
4		Communicating Inverters		7				NA		-1				-3			U			NA			NA			NA				0/36				W				NA			2			NA			NA
5		Output On and Communicating Num		8		NA		-1				-3			U			NA			NA			NA				NA				W				NA			3			NA			NA
6		Sample Phases Type			93				NA		1				6			E			NA			NA			NA				[ID94=Single phase]/[ID95=Three phases]		W		NA			24			NA			NA
7		Total Output Power			146				W		1				7			F			NA			NA			NA				NA				NA				NA			3			.1			NA
8		All Inverters No Response	104				NA		1				8			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	W				NA			26			NA			NA
9		Inverters lost status		82				NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			11			NA			NA
10		Number of Phase1			10				NA		1				10			U			NA			NA			NA				0/36				W				NA			1			NA			NA
11		Number of Phase2			11				NA		1				11			U			NA			NA			NA				0/36				W				NA			1			NA			NA
12		Number of Phase3			12				NA		1				12			U			NA			NA			NA				0/36				W				NA			1			NA			NA
13		Current of Phase1			13				A		1				13			F			NA			NA			NA				0.0/20000.0			W				NA			5			.1			NA
14		Current of Phase2			14				A		1				14			F			NA			NA			NA				0.0/20000.0			W				NA			5			.1			NA
15		Current of Phase3			15				A		1				15			F			NA			NA			NA				0.0/20000.0			W				NA			5			.1			NA
16		Power_kW of Phase1			16				W		1				16			F			NA			NA			NA				0.0/200000.0		W				NA			3			.1			NA
17		Power_kW of Phase2			17				W		1				17			F			NA			NA			NA				0.0/200000.0		W				NA			3			.1			NA
18		Power_kW of Phase3			18				W		1				18			F			NA			NA			NA				0.0/200000.0		W				NA			3			.1			NA
19		Power_kVA of Phase1			19				W		1				19			F			NA			NA			NA				0.0/200000.0		W				NA			3			.1			NA
20		Power_kVA of Phase2			20				W		1				20			F			NA			NA			NA				0.0/200000.0		W				NA			3			.1			NA
21		Power_kVA of Phase3			21				W		1				21			F			NA			NA			NA				0.0/200000.0		W				NA			3			.1			NA
22		Rated Current				22				A		-1				-3			F			NA			NA			NA				NA					W				NA			3			.1			NA
23		Input Total Energy			23				kWh		1				23			F			NA			NA			NA				NA					W				NA			3			.1			NA
24		Output Total Energy			24				kWh		1				24			F			NA			NA			NA				NA					W				NA			3			.1			NA
27		Inverter REPO				27				NA		1				25			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	W				NA			26			NA			NA

29		Input DC Current			69				A		1				26			F			NA			NA			NA				0.0/20000.0			W				NA			29			.1			NA
30		Input AC Current			70				A		1				27			F			NA			NA			NA				0.0/20000.0			W				NA			30			.1			NA
31		Inverter Work Status		71				NA		1				28			E			NA			NA			NA				[ID72=OFF]/[ID75=PartON]/[ID76=AllON]	W				NA			31			NA			NA
32		Max used capacity			165				%		-1				-3			F			NA			NA			NA				0/300				W/L				NA			7			.1			NA
33		Min used capacity			166				%		-1				-3			F			NA			NA			NA				0/300				W/L				NA			8			.1			NA
34		Average voltage				167				V		-1				-3			F			NA			NA			NA				0.0/300.0			W/L				NA			4			.1			NA

37		Rated Power					170				W		-1				-3			F			NA			NA			NA				0.0/2000.0					W				NA			3			.1			NA
38		Power Capacity				183				%		-1				-3			F			NA			NA			0/300				NA					W				NA			3			.1			NA

39		UpLoad OK Number			152				NA		-1				-3			F			NA			NA			NA				NA				W/L				NA			97			NA			NA
40		UpLoad State				153				NA		-1				-3			E			NA			NA			NA				[ID126=None]/[ID154=Updating]/[ID155=OK]/[ID156=Fail]/[ID157=ForceOK]/[ID158=ForceFail]/[ID159=Timeout]/[ID160=FileErr]				W/L				NA			98			NA			NA

41		Sample Volt Type			33				NA		1				29			E			NA			NA			NA				[ID56=100V]/[ID57=110V]/[ID58=115V]/[ID59=120V]/[ID60=125V]/[ID61=200V]/[ID62=208V]/[ID63=220V]/[ID64=230V]/[ID65=240V]		NA				NA			31			NA			NA
42		Sample Freq Level			34				NA		1				30			E			NA			NA			NA				[ID67=50Hz]/[ID68=60Hz]			NA				NA			31			NA			NA
43		Sample Work Mode			32				NA		1				31			E			NA			NA			NA				[ID161=AC Mode]/[ID162=DC mode]		NA				NA			31			NA			NA
#44		Sample Low Volt TR			77				NA		1				32			F			NA			NA			NA				40/48		NA				NA			31			NA			NA
#45		Sample Low Volt CB			78				NA		1				33			F			NA			NA			NA				40/48		NA				NA			31			NA			NA
#46		Sample High Volt TR			79				NA		1				34			F			NA			NA			NA				48/58.5		NA				NA			31			NA			NA
#47		Sample High Volt CB			80				NA		1				35			F			NA			NA			NA				48/58.5		NA				NA			31			NA			NA
44		Input AC Voltage			184				V		1				36			F			NA			NA			NA				0/500		W/L				NA			10		NA		NA
#45      Input AC Voltage Phase A    185             V       1               38          F           NA          NA          NA              0/500       W/L             NA          12      NA      NA
45		Input AC Phase A			185				V		1				38			F			NA			NA			NA				NA    		W/L				NA			13		.0		NA
46		Input AC Phase B			186				V		1				39			F			NA			NA			NA				NA		    W/L				NA			14		.0		NA
47		Input AC Phase C			187				V		1				40			F			NA			NA			NA				NA		    W/L				NA			15		.0		NA
48		Total output Voltage		188				V		-1				-3			F			NA			NA			NA				NA		    W/L				NA			15		.0		NA
#//changed by COE Team Pune, for Adding Inverter total current and voltage to the local display
49		LCD DispExp ID=(34,2,59,60,37,38,61)(internal use)		1			NA		-1				-3			U			NA			NA			NA				NA				NA				NA			888			NA			[0,0,1]>0

50		Input AC Phase Curr A			188				A		1				41			F			NA			NA			NA				NA    		W/L				NA			16		.0		NA
51		Input AC Phase Curr B			189				A		1				42			F			NA			NA			NA				NA		    W/L				NA			17		.0		NA
52		Input AC Phase Curr C			190				A		1				43			F			NA			NA			NA				NA		    W/L				NA			18		.0		NA
53		Input AC Phase o/p vtg A			191				V		1				44			F			NA			NA			NA				NA    		W/L				NA			19		.0		NA
54		Input AC Phase o/p vtg B			192				V		1				45			F			NA			NA			NA				NA		    W/L				NA			20		.0		NA
55		Input AC Phase o/p vtg C			193				V		1				46			F			NA			NA			NA				NA		    W/L				NA			21		.0		NA
56		Input AC Phase i/p vtg A			194				A		1				47			F			NA			NA			NA				NA    		W/L				NA			22		.0		NA
57		Input AC Phase i/p vtg B			195				A		1				48			F			NA			NA			NA				NA		    W/L				NA			23		.0		NA
58		Input AC Phase i/p vtg C			196				A		1				49			F			NA			NA			NA				NA		    W/L				NA			24		.0		NA
59		Total Power kW					189				kW		-1				-2			F			NA			NA			([0,0,16]+[0,0,17]+[0,0,18])/1000				NA					W				NA			3			.1			NA
60		Total Power kVA					190				kVA		-1				-2			F			NA			NA			([0,0,19]+[0,0,20]+[0,0,21])/1000				NA					W				NA			3			.1			NA
61		Maximum Power Capacity			197				W		-1				-2			F			NA			NA			[0,0,37]*[0,0,1]				NA					W				NA			3			.1			NA
100		Existence State				143				NA		-1				-2			E			NA			NA			[0,0,1]<1				[ID144=Existent]/[ID145=Not Existent]	NA			NA			39			NA			NA




#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
7

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range			Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression							On Control Action	Disp Exp
4		All OUTPUT On/Off Control			29			NA		1				NA			E			[ID39=Open]/[ID38=Close]	W/L				W/L				1				O			1			NA			1			NA		NA		NA									NA				NA
5		All LED Control  					30			NA		1				NA			E			[ID43=Clear]/[ID42=Flash]	W/L				W/L				NA				O			2			NA			2			NA		NA		NA									NA				NA
6		Fan full speed control 				31			NA		1				NA			E			[ID45=Half]/[ID44=Full]		W/L				W/L				1				O			3			NA			3			NA		NA		NA									NA				NA
8		Reset Inverter lost alarm			84			NA		-1				NA			E			[ID74=Yes]					W/L				W/L				1				O			4			NA			-3			NA		NA		NA									[0,2,18]=0		NA
10		E-Stop Function						92			NA		1				NA			E			[ID39=Open]/[ID38=Close]	NA				W/L				NA				O			5			NA			4			NA		NA		NA									NA				NA
13		Confirm Inverter Postion(Display)	86			NA		-1				NA			E			[ID74=Yes]					W/L				W/L				1				O			6			NA			-3			1		NA		NA									[0,2,21]=1		NA
14		Clear Inverter comm failure alarm	119			NA		1				-3			E			[ID74=Yes]					W/L				W/L				1				O			7			NA			5			NA		NA		NA									[0,2,18]=37		NA
17		Clear Invt IDs						148			NA		1				-3			E			[ID74=Yes]					W/L				W/L				1				O			8			NA			6			NA		NA		NA									NA				NA
18		Clear Fault							171			NA		1				NA			E			[ID74=Yes]					W/L				W/L				1				O			9			NA			17			NA		NA		NA									NA				NA
19		Reset Energy						172			NA		1				NA			E			[ID74=Yes]					W/L				W/L				1				O			10			NA			18			NA		NA		NA									NA				NA
20		Set Para To Invt					181			NA		1				NA			E			[ID74=Yes]					W/L				W/L				1				O			9			NA			19			NA		NA		NA									NA				NA
21		Get Para From Invt					182			NA		1				NA			E			[ID74=Yes]					W/L				W/L				1				O			10			NA			20			NA		NA		NA									NA				NA

#2.3 Define the Setting Signals
[SETTING_SIGNAL_NUM]
19

[SETTING_SIGNAL_INFO]
#SID	SigName						SigNameResID	SigUnit		IdxOfSamplerList	SamplerChannelID	SigValueType	DefaultValue	ValueRange					ValueDisplayAttribute	ValueSettingAttribute	SettableExpression				Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
1		Phase Type									93		NA		1			NA			E		0		[ID94=Single phase]/[ID95=Three phases]		W/L			W/L			NA						E			16			NA			7			1		NA				1			NA			[0,0,31]==0
2		Output Voltage Type							33		NA		1			NA			E		8		[ID56=100V]/[ID57=110V]/[ID58=115V]/[ID59=120V]/[ID60=125V]/[ID61=200V]/[ID62=208V]/[ID63=220V]/[ID64=230V]/[ID65=240V]		W/L			W/L			NA						E			16			NA			8			1		NA				1			NA			[0,0,31]==0
3		Frequency Level								34		NA		1			NA			E		0		[ID67=50Hz]/[ID68=60Hz]			W/L			W/L			NA						E			16			NA			9			1		NA				1			NA			[0,0,31]==0

#4		All OUTPUT On/Off Control					29		NA		1			NA			E		1		[ID39=Open]/[ID38=Close]		W/L			W/L			NA						E			1			NA			1			1		NA				1			NA				NA

5		DC Low Voltage Transfer						77		V		1			NA			F		41		40/48						W/L			W/L			[0,2,5]<[0,2,6]						E			7			.1			11			0.1		NA				1			NA			NA
6		DC Low Voltage Comeback						78		V		1			NA			F		45		40/48						W/L			W/L			[0,2,6]>[0,2,5]						E			7			.1			12			0.1		NA				1			NA			NA
7		DC High Voltage Transfer					79		V		1			NA			F		58		48/58.5						W/L			W/L			[0,2,7]>[0,2,8]						E			7			.1			13			0.1		NA				1			NA			NA
8		DC High Voltage Comeback					80		V		1			NA			F		57		48/58.5						W/L			W/L			[0,2,8]<[0,2,7]						E			7			.1			14			0.1		NA				1			NA			NA
9		Invt Work Mode								32		NA		1			NA			E		0		[ID161=AC Mode]/[ID162=DC mode]						W/L			W/L			NA						E			7			NA			15			1		NA				1			NA			NA

10		Invt Redundancy Number						168		NA		-1			NA			U		1		0/6							W/L			W/L			NA						E			12			NA			-3			1		NA				1			NA			NA
18		Invt Number on last power-on				81		NA		-1			-3			U		0		0/37						NA			W/L			NA						E			13			NA			-3			1		NA				1			NA			NA
21		Confirm Inverter Postion(Internal Use)		86		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]		NA			NA			NA						E			16			NA			-3			1		NA				1			NA			NA
#31		Sequence Start Interval						101		s		1			NA			U		0		0/10						W/L			W/L			NA						E			8			NA			16			1		NA				1			NA			NA
37		Inverter Info Change(M/S Internal Use)		113		NA		-1			-3			U		0		0/1							NA			NA			NA						E			32			NA			-3			1		NA				0			NA			NA
50		Rect Number on last power-on(Interl use)	81		NA		-1			-3			U		0		0/36						NA			NA			NA						E			13			NA			-3			1		NA				1			NA			NA
54		Normal Update								150		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]		W/L			W/L			[0,2,55]==0				E			33			NA			-3			1		NA				0			NA			NA
55		Force Update								151		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]		W/L			W/L			[0,2,54]==0				E			33			NA			-3			1		NA				0			NA			NA


#2.4 Define the Alarm Singals
[ALARM_NUM]
3

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name			Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression		Relay ID
3		Inverter lost					83				CA		[0,0,9]==1		NA		NA				NA
5		All Inverters No Response		104				MA		[0,0,8]==1		NA		[1,3,2]			NA
#8		Inverter REPO					27				MA		[0,0,27]==1		NA		[1,3,2]			NA
9		Inverter High Load				169				MA		[0,0,7]>0.8*[0,0,61]		NA		[1,3,2]		NA
10		Syn Err Phase Type				173				MA		[0,0,6]>[0,2,1]|[0,0,7]<[0,2,1]					NA		NA				NA
11		Syn Err Volt Type				174				MA		[0,0,41]>[0,2,2]|[0,0,41]<[0,2,2]					NA		NA				NA
12		Syn Err Freq Level				175				MA		[0,0,42]>[0,2,3]|[0,0,42]<[0,2,3]					NA		NA				NA
13		Syn Err Work Mode				176				MA		[0,0,43]>[0,2,9]|[0,0,43]<[0,2,9]					NA		NA				NA
#14		Syn Err Low Volt TR				177				MA		[0,0,44]-[0,2,5]>0.01				NA		NA				NA
#15		Syn Err Low Volt CB				178				MA		[0,0,45]-[0,2,6]>0.01				NA		NA				NA
#16		Syn Err High Volt TR			179				MA		[0,0,46]-[0,2,7]>0.01				NA		NA				NA
#17		Syn Err High Volt CB			180				MA		[0,0,47]-[0,2,8]>0.01				NA		NA				NA
